TechDraw Hatch

    From FreeCAD Documentation

    TechDraw Hatch.svg TechDraw Hatch

    Menu location
    TechDraw → Hatching → Hatch a Face using Image File
    Workbenches
    TechDraw
    Default shortcut
    None
    Introduced in version
    -
    See also
    TechDraw Geometric Hatch, TechDraw Hatching

    Description

    The TechDraw Hatch tool fills a closed region in a View with a tiled SVG or bitmap (introduced in version 0.21) based hatch pattern. Alternatively the TechDraw GeometricHatch.svg TechDraw GeometricHatch tool uses PAT based hatch patterns. See Hatching for details.

    TechDraw Hatch example.png

    SVG hatch pattern on a face

    Usage

    1. Select a closed region in a View.
    2. There are several ways to invoke the tool:
      • Press the TechDraw Hatch.svg TechDraw Hatch button.
      • Select the TechDraw → Hatching → TechDraw Hatch.svg Hatch a Face using Image File option from the menu.
    3. The Apply Hatch to Face task panel opens.
    4. Optionally change the Pattern File.
    5. Optionally change the Pattern Scale and the Line Color. These settings are ignored for bitmap patterns.
    6. Press the OK button.

    Notes

    • For a solid color fill select solid.svg as the Pattern File.
    • Hatching objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information. It is recommended that hatching be one of the last steps in your drawing process.
    • Sample SVG patterns are available locally in:
    $INSTALL_DIR/data/Mod/TechDraw/Patterns
    
    Where $INSTALL_DIR is the directory where FreeCAD was installed, for example:
    /usr/share/freecad/data/Mod/TechDraw/Patterns
    
    They are also available on GitHub.

    Properties

    • DataSource: The View and Face to receive the hatch pattern.
    • DataHatch Pattern: Full path and filename to an SVG pattern file.
    • ViewHatch Color: Hatch pattern will be displayed in this color.
    • ViewHatch Scale: Hatch pattern size modifier.

    Scripting

    See also: Autogenerated API documentation and FreeCAD Scripting Basics.

    A Hatch can be created with macros and from the Python console by using the following functions:

    hatch = FreeCAD.ActiveDocument.addObject("TechDraw::DrawHatch", "Hatch")
    hatch.Source = (view1, ["Face0"])
    hatch.HatchPattern = hatchFileSpec
    page.addView(hatch)